/* 
  Log-posterior function, without model error
*/
#ifdef NOMODERR
double logDalecPost(Array1D<double> &chain, void *params) {

  //#define DEBUG
#ifdef DEBUG
  std::cout<<"In logdalecpst: "<<std::endl<<std::flush;
#endif
  llpars *pars   = (llpars *)params ;

  /* Extract parameters from params structure*/
  int     dayst  = pars -> dayst;
  int     dayen  = pars -> dayen;
  int     nday   = pars -> nday;
  int     ncycles= pars -> ncycles;

  double *drivers  = pars -> drivers  ;
  double *model    = pars -> model    ;
  double *obsdata  = pars -> obsdata  ;
  double *obssigma = pars -> obssigma ;
  
  int chainDim = chain.XSize() ;
  vector<double> parValues ;
  parValues.assign(chain.GetArrayPointer(),chain.GetArrayPointer()+chainDim);
  parValues.insert(parValues.begin()+8,25.0);
  dalec_deciduous_(&nday,&ncycles,&(parValues[0]),drivers,model);

  double loglik = 0.0;
  for ( int i = dayst; i<= dayen; i++ ) 
    loglik -= (pow(model[6*i]-obsdata[i],2)/(2.*obssigma[i]*obssigma[i])+0.5*log(DPI*obssigma[i]*obssigma[i]));

  double logPr = logDalecPrior(chain,params);
 
#ifdef DEBUG
  std::cout<<"Out of logdalecpst: "<<loglik<<std::endl<<std::flush;
#endif

  return ( loglik+logPr );

}
#endif
