#!/usr/bin/env python

import sys, os
import numpy as npy
import h5py
import matplotlib.pyplot as plt
from scipy import stats, mgrid, c_, reshape, random, rot90

#-load posterior predictive
din=npy.load("ppmod_pderr.npz")
ppmod=din["ppmod"]
nmev=ppmod.shape[0]
dc = 1.0/nmev

#-load observations 
ierr=os.system("awk 'NR>1{print $0}' US-Ha1_NEE_daily.txt > daily.txt")
obs=npy.genfromtxt("daily.txt")
dayst=366
dayen=3365
ndays = dayen-dayst+1
nee = obs[dayst:dayen+1,2]
neesig = obs[dayst:dayen+1,4]

#-'Perfect' CRPS score
crpsPrf = npy.zeros(ndays)
for i in range(ndays):
    model = npy.random.normal(0.0,neesig[i],nmev)
    model.sort()
    k = [n for n,m in enumerate(model) if m>0][0] - 1;
    cdfint = 0.0;
    cdfint = cdfint+sum([(model[j+1]-model[j])*((j+1)*dc)**2   for j in range(k)])
    cdfint = cdfint+sum([(model[j+1]-model[j])*(1-(j+1)*dc)**2 for j in range(k+1,nmev-1)])
    cdfint = cdfint+(0.0-model[k])*((k+1)*dc)**2+(model[k+1]-0.0)*(1-(k+1)*dc)**2
    crpsPrf[i] = cdfint

print crpsPrf.mean()

crps = npy.zeros(ndays)
for i in range(ndays):
    model = ppmod[:,i]
    model.sort()
    if (nee[i]<model[0]):
        cdfint=sum([(model[j+1]-model[j])*(1-(j+1)*dc)**2 for j in range(nmev-1)])
    elif (nee[i]>model[-1]):
        cdfint=sum([(model[j+1]-model[j])*((j+1)*dc)**2 for j in range(nmev-1)])
    else:
        k = [n for n,m in enumerate(model-nee[i]) if m>0][0] - 1;
        cdfint = 0.0;
        cdfint = cdfint+sum([(model[j+1]-model[j])*((j+1)*dc)**2   for j in range(k)])
        cdfint = cdfint+sum([(model[j+1]-model[j])*(1-(j+1)*dc)**2 for j in range(k+1,nmev-1)])
        cdfint = cdfint+(nee[i]-model[k])*((k+1)*dc)**2+(model[k+1]-nee[i])*(1-(k+1)*dc)**2
    crps[i] = cdfint

print crps.mean()

    


  
