#!/usr/bin/env python

import sys, os
import numpy as npy
import h5py
import matplotlib.pyplot as plt
from scipy import stats, mgrid, c_, reshape, random, rot90

runID=sys.argv[1]

addNEEsig=False
if (sys.argv[2] == "addNEEsig"):
    addNEEsig=True

chainfile="chain.thin.h5"; # chain file
nthin = 1000;              # pick every 'nthin' state
#-load chain
file = h5py.File("../cal/"+runID+"/"+chainfile, 'r')   
chn = npy.array(file["chn"])
file.close()

#-thin chain and add leafcn=25
chn = chn[::nthin,1:-2]
chn=npy.insert(chn,8,25.0,axis=1)
nruns = chn.shape[0]

#-save parameters
if not os.path.exists(runID):
    os.makedirs(runID)

npy.savetxt(runID+"/params.dat", chn, fmt='%.9e', delimiter=' ',newline='\n')
