#!/bin/bash

RUNST=1
RUNEN=5
NRUNS=5
dirbase="tmpgsa"       # name base of temporary directories
SPLFILE="gsaSplSi.dat" # file with parameter samples

if [ "$#" -gt 0 ]; then
  RUNST=$1
  if [ "$#" -gt 1 ]; then
    RUNEN=$2
    if [ "$#" -gt 2 ]; then
      dirbase=$3
    fi
  fi
fi

NRUNS="$((RUNEN - RUNST + 1))"

echo "No. of runs: $NRUNS"
echo "Run start  : $RUNST"
echo "Run end    : $RUNEN"
echo "dirbase    : $dirbase"

NSPL=`wc -l ${SPLFILE}`
for k in `seq ${RUNST} ${RUNEN}`
do
  lnsta=`echo ${NSPL} | awk -v nruns=${NRUNS} -v rid=${k} '{print $1/nruns*(rid-1)+1}'`
  lnend=`echo ${NSPL} | awk -v nruns=${NRUNS} -v rid=${k} '{print $1/nruns*rid}'    `
  echo "Run ${k}, from sample ${lnsta} to sample ${lnend}"
  if [ ! -d "${dirbase}${k}" ]; then
    mkdir ${dirbase}${k}
  fi
  awk -v lsta=${lnsta} -v lend=${lnend} 'NR>=lsta && NR<=lend {print $0}' ${SPLFILE} > ${dirbase}${k}/sgsa.dat
  cd ${dirbase}${k}
  cp ../dalec_gsa.exe .
  cp ../../obs/Harvard/US-Ha1_NEE_daily.txt .
  cp ../../data/calendar.txt .
  cp ../../data/US-Ha1_drivers.csv .
  nohup ./dalec_gsa.exe >& log${k}.dat &
  cd ..
done

